[build-system]
requires = ["hatchling"]
build-backend = "hatchling.build"

[project]
name = "clyde-code"
version = "0.1.3"
description = "A CLI AI code assistant."
readme = "README.md"
license = {text = "MIT"}
authors = [
    {name = "Nicholas Brawand", email = "nicholasbrawand@gmail.com"},
]
maintainers = [
    {name = "Nicholas Brawand", email = "nicholasbrawand@gmail.com"},
]
keywords = ["ai", "cli", "code-assistant", "langchain", "mcp"]
classifiers = [
    "Development Status :: 3 - Alpha",
    "Environment :: Console",
    "Intended Audience :: Developers",
    "Operating System :: OS Independent",
    "Programming Language :: Python :: 3",
    "Programming Language :: Python :: 3.12",
    "Programming Language :: Python :: 3.13",
    "Topic :: Software Development :: Libraries :: Python Modules",
    "Topic :: Utilities",
]
requires-python = ">=3.12"
dependencies = [
    "langchain>=0.3.27",
    "langchain-mcp-adapters>=0.1.9",
    "langchain-openai>=0.3.28",
    "langgraph>=0.5.4",
    "python-dotenv>=1.1.1",
]

[project.urls]
Homepage = "https://gitlab.com/clyde-code-ai/clyde_code"
Repository = "https://gitlab.com/clyde-code-ai/clyde_code"
Issues = "https://gitlab.com/clyde-code-ai/clyde_code/-/issues"

[project.scripts]
clyde-code = "clyde_code.agent:run"
